cURL
curl --request PATCH \
--url https://api.example.com/api/projects/{id}/whatsapp/templates/{templateId} \
--header 'Content-Type: application/json' \
--data '
{
"components": [
{
"type": "<string>"
}
],
"messageSendTtlSeconds": 1
}
'import requests
url = "https://api.example.com/api/projects/{id}/whatsapp/templates/{templateId}"
payload = {
"components": [{ "type": "<string>" }],
"messageSendTtlSeconds": 1
}
headers = {"Content-Type": "application/json"}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({components: [{type: '<string>'}], messageSendTtlSeconds: 1})
};
fetch('https://api.example.com/api/projects/{id}/whatsapp/templates/{templateId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/api/projects/{id}/whatsapp/templates/{templateId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'components' => [
[
'type' => '<string>'
]
],
'messageSendTtlSeconds' => 1
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/api/projects/{id}/whatsapp/templates/{templateId}"
payload := strings.NewReader("{\n \"components\": [\n {\n \"type\": \"<string>\"\n }\n ],\n \"messageSendTtlSeconds\": 1\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.example.com/api/projects/{id}/whatsapp/templates/{templateId}")
.header("Content-Type", "application/json")
.body("{\n \"components\": [\n {\n \"type\": \"<string>\"\n }\n ],\n \"messageSendTtlSeconds\": 1\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/api/projects/{id}/whatsapp/templates/{templateId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"components\": [\n {\n \"type\": \"<string>\"\n }\n ],\n \"messageSendTtlSeconds\": 1\n}"
response = http.request(request)
puts response.read_bodyProjects
Patch apiprojects whatsapptemplates
PATCH
/
api
/
projects
/
{id}
/
whatsapp
/
templates
/
{templateId}
cURL
curl --request PATCH \
--url https://api.example.com/api/projects/{id}/whatsapp/templates/{templateId} \
--header 'Content-Type: application/json' \
--data '
{
"components": [
{
"type": "<string>"
}
],
"messageSendTtlSeconds": 1
}
'import requests
url = "https://api.example.com/api/projects/{id}/whatsapp/templates/{templateId}"
payload = {
"components": [{ "type": "<string>" }],
"messageSendTtlSeconds": 1
}
headers = {"Content-Type": "application/json"}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({components: [{type: '<string>'}], messageSendTtlSeconds: 1})
};
fetch('https://api.example.com/api/projects/{id}/whatsapp/templates/{templateId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/api/projects/{id}/whatsapp/templates/{templateId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'components' => [
[
'type' => '<string>'
]
],
'messageSendTtlSeconds' => 1
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/api/projects/{id}/whatsapp/templates/{templateId}"
payload := strings.NewReader("{\n \"components\": [\n {\n \"type\": \"<string>\"\n }\n ],\n \"messageSendTtlSeconds\": 1\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.example.com/api/projects/{id}/whatsapp/templates/{templateId}")
.header("Content-Type", "application/json")
.body("{\n \"components\": [\n {\n \"type\": \"<string>\"\n }\n ],\n \"messageSendTtlSeconds\": 1\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/api/projects/{id}/whatsapp/templates/{templateId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"components\": [\n {\n \"type\": \"<string>\"\n }\n ],\n \"messageSendTtlSeconds\": 1\n}"
response = http.request(request)
puts response.read_bodyBody
application/jsonapplication/x-www-form-urlencodedmultipart/form-data
Response
default
This operation does not declare a response schema.
Was this page helpful?
⌘I